ALTER PROCEDURE [dbo].[spSammelExportRESicherheiten] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT CASE WHEN RGrund='KNE' THEN KNE.KNE ELSE cast(right(tabKN_RisikoSammel.KNID,15) as bigint) END AS Schluessel 
FROM _tmpAuswahlEWB as T inner Join tabKreditnehmereinheit as KNE ON T.KNEID = KNE.KNEID 
INNER JOIN tabKN_RisikoSammel ON KNE.KNEID = tabKN_RisikoSammel.KNEID
WHERE        (T.INR = @InstNR) AND (T.Bdate = @BDate) AND (T.SPID = @SPID) and T.Auswahl = 1 
GROUP BY CASE WHEN RGrund='KNE' THEN KNE.KNE ELSE cast(right(tabKN_RisikoSammel.KNID,15) as bigint) END
END
GO

Update _tabVersion set DBVersion = '7.84', DBDate = '17.09.2019'
GO
